<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

error_reporting(E_ALL);
error_reporting(-1);
ini_set('error_reporting', E_ALL);

require '../../modelo/producto.php';
require '../../modelo/environment.php';

$activo = 1;
$productos = Producto::mdlGetProductosSinVariaciones($activo);

if (!$productos) {
    $response['response'] = 'error';
    $response['data'] = 'No se encontraron productos';
    echo json_encode($response);
    return;
}

$response['response'] = 'success';
$response['data'] = $productos;

echo json_encode($response);
